VTK: vtkIdListCollection Class Reference

| VTK 9.3.1

Public Types | Public Member Functions | Static Public Member Functions | Protected Member Functions | List of all members
vtkIdListCollection Class Reference

maintain an ordered list of IdList objects More...

`#include <vtkIdListCollection.h>`

Inheritance diagram for vtkIdListCollection:
[legend]
Collaboration diagram for vtkIdListCollection:
[legend]

## Public Types
typedef vtkCollection | Superclass
Public Types inherited from vtkCollection
typedef vtkObject | Superclass

## Public Member Functions
virtual vtkTypeBool | IsA (const char *type)
| Return 1 if this class is the same type of (or a subclass of) the named class. More...
vtkIdListCollection * | NewInstance () const
void | PrintSelf (ostream &os, vtkIndent indent) override
| Methods invoked by print to print information about the object including superclasses. More...
void | AddItem (vtkIdList *ds)
| Add an IdList to the bottom of the list. More...
vtkIdList * | GetNextItem ()
| Get the next IdList in the list. More...
vtkIdList * | GetItem (int i)
| Get the ith IdList in the list. More...
vtkIdList * | GetNextIdList (vtkCollectionSimpleIterator &cookie)
| Reentrant safe way to get an object in a collection. More...
Public Member Functions inherited from vtkCollection
vtkCollection * | NewInstance () const
void | AddItem (vtkObject *)
| Add an object to the bottom of the list. More...
void | InsertItem (int i, vtkObject *)
| Insert item into the list after the i'th item. More...
void | ReplaceItem (int i, vtkObject *)
| Replace the i'th item in the collection with another item. More...
void | RemoveItem (int i)
| Remove the i'th item in the list. More...
void | RemoveItem (vtkObject *)
| Remove an object from the list. More...
void | RemoveAllItems ()
| Remove all objects from the list. More...
int | IsItemPresent (vtkObject *a)
| Search for an object and return location in list. More...
int | IndexOfFirstOccurence (vtkObject *a)
| Search for an object and return location in list. More...
int | GetNumberOfItems ()
| Return the number of objects in the list. More...
void | InitTraversal ()
| Initialize the traversal of the collection. More...
void | InitTraversal (vtkCollectionSimpleIterator &cookie)
| A reentrant safe way to iterate through a collection. More...
vtkObject * | GetNextItemAsObject ()
| Get the next item in the collection. More...
vtkObject * | GetItemAsObject (int i)
| Get the i'th item in the collection. More...
vtkObject * | GetNextItemAsObject (vtkCollectionSimpleIterator &cookie)
| A reentrant safe way to get the next object as a collection. More...
vtkCollectionIterator * | NewIterator ()
| Get an iterator to traverse the objects in this collection. More...
bool | UsesGarbageCollector () const override
| Participate in garbage collection. More...
Public Member Functions inherited from vtkObject
| vtkBaseTypeMacro (vtkObject, vtkObjectBase)
virtual void | DebugOn ()
| Turn debugging output on. More...
virtual void | DebugOff ()
| Turn debugging output off. More...
bool | GetDebug ()
| Get the value of the debug flag. More...
void | SetDebug (bool debugFlag)
| Set the value of the debug flag. More...
virtual void | Modified ()
| Update the modification time for this object. More...
virtual vtkMTimeType | GetMTime ()
| Return this object's modified time. More...
void | PrintSelf (ostream &os, vtkIndent indent) override
| Methods invoked by print to print information about the object including superclasses. More...
void | RemoveObserver (unsigned long tag)
void | RemoveObservers (unsigned long event)
void | RemoveObservers (const char *event)
void | RemoveAllObservers ()
vtkTypeBool | HasObserver (unsigned long event)
vtkTypeBool | HasObserver (const char *event)
vtkTypeBool | InvokeEvent (unsigned long event)
vtkTypeBool | InvokeEvent (const char *event)
std::string | GetObjectDescription () const override
| The object description printed in messages and PrintSelf output. More...
unsigned long | AddObserver (unsigned long event, vtkCommand *, float priority=0.0f)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
unsigned long | AddObserver (const char *event, vtkCommand *, float priority=0.0f)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
vtkCommand * | GetCommand (unsigned long tag)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
void | RemoveObserver (vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
void | RemoveObservers (unsigned long event, vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
void | RemoveObservers (const char *event, vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
vtkTypeBool | HasObserver (unsigned long event, vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
vtkTypeBool | HasObserver (const char *event, vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
template<class U , class T >
unsigned long | AddObserver (unsigned long event, U observer, void(T::*callback)(), float priority=0.0f)
| Overloads to AddObserver that allow developers to add class member functions as callbacks for events. More...
template<class U , class T >
unsigned long | AddObserver (unsigned long event, U observer, void(T::*callback)(vtkObject *, unsigned long, void *), float priority=0.0f)
| Overloads to AddObserver that allow developers to add class member functions as callbacks for events. More...
template<class U , class T >
unsigned long | AddObserver (unsigned long event, U observer, bool(T::*callback)(vtkObject *, unsigned long, void *), float priority=0.0f)
| Allow user to set the AbortFlagOn() with the return value of the callback method. More...
vtkTypeBool | InvokeEvent (unsigned long event, void *callData)
| This method invokes an event and return whether the event was aborted or not. More...
vtkTypeBool | InvokeEvent (const char *event, void *callData)
| This method invokes an event and return whether the event was aborted or not. More...
virtual void | SetObjectName (const std::string &objectName)
| Set/get the name of this object for reporting purposes. More...
virtual std::string | GetObjectName () const
| Set/get the name of this object for reporting purposes. More...
Public Member Functions inherited from vtkObjectBase
const char * | GetClassName () const
| Return the class name as a string. More...
virtual vtkIdType | GetNumberOfGenerationsFromBase (const char *name)
| Given the name of a base class of this class type, return the distance of inheritance between this class type and the named class (how many generations of inheritance are there between this class and the named class). More...
virtual void | Delete ()
| Delete a VTK object. More...
virtual void | FastDelete ()
| Delete a reference to this object. More...
void | InitializeObjectBase ()
void | Print (ostream &os)
| Print an object to an ostream. More...
virtual void | Register (vtkObjectBase *o)
| Increase the reference count (mark as used by another object). More...
virtual void | UnRegister (vtkObjectBase *o)
| Decrease the reference count (release by another object). More...
int | GetReferenceCount ()
| Return the current reference count of this object. More...
void | SetReferenceCount (int)
| Sets the reference count. More...
bool | GetIsInMemkind () const
| A local state flag that remembers whether this object lives in the normal or extended memory space. More...
virtual void | PrintHeader (ostream &os, vtkIndent indent)
| Methods invoked by print to print information about the object including superclasses. More...
virtual void | PrintTrailer (ostream &os, vtkIndent indent)
| Methods invoked by print to print information about the object including superclasses. More...

## Static Public Member Functions
static vtkIdListCollection * | New ()
static vtkTypeBool | IsTypeOf (const char *type)
static vtkIdListCollection * | SafeDownCast (vtkObjectBase *o)
Static Public Member Functions inherited from vtkCollection
static vtkTypeBool | IsTypeOf (const char *type)
static vtkCollection * | SafeDownCast (vtkObjectBase *o)
static vtkCollection * | New ()
| Construct with empty list. More...
Static Public Member Functions inherited from vtkObject
static vtkObject * | New ()
| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. More...
static void | BreakOnError ()
| This method is called when vtkErrorMacro executes. More...
static void | SetGlobalWarningDisplay (vtkTypeBool val)
| This is a global flag that controls whether any debug, warning or error messages are displayed. More...
static void | GlobalWarningDisplayOn ()
| This is a global flag that controls whether any debug, warning or error messages are displayed. More...
static void | GlobalWarningDisplayOff ()
| This is a global flag that controls whether any debug, warning or error messages are displayed. More...
static vtkTypeBool | GetGlobalWarningDisplay ()
| This is a global flag that controls whether any debug, warning or error messages are displayed. More...
Static Public Member Functions inherited from vtkObjectBase
static vtkTypeBool | IsTypeOf (const char *name)
| Return 1 if this class type is the same type of (or a subclass of) the named class. More...
static vtkIdType | GetNumberOfGenerationsFromBaseType (const char *name)
| Given a the name of a base class of this class type, return the distance of inheritance between this class type and the named class (how many generations of inheritance are there between this class and the named class). More...
static vtkObjectBase * | New ()
| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. More...
static void | SetMemkindDirectory (const char *directoryname)
| The name of a directory, ideally mounted -o dax, to memory map an extended memory space within. More...
static bool | GetUsingMemkind ()
| A global state flag that controls whether vtkObjects are constructed in the usual way (the default) or within the extended memory space. More...

## Protected Member Functions
virtual vtkObjectBase * | NewInstanceInternal () const
| vtkIdListCollection ()=default
| ~vtkIdListCollection () override=default
Protected Member Functions inherited from vtkCollection
| vtkCollection ()
| ~vtkCollection () override
virtual void | RemoveElement (vtkCollectionElement *element, vtkCollectionElement *previous)
virtual void | DeleteElement (vtkCollectionElement *)
void | ReportReferences (vtkGarbageCollector *collector) override
Protected Member Functions inherited from vtkObject
| vtkObject ()
| ~vtkObject () override
void | RegisterInternal (vtkObjectBase *, vtkTypeBool check) override
void | UnRegisterInternal (vtkObjectBase *, vtkTypeBool check) override
void | InternalGrabFocus (vtkCommand *mouseEvents, vtkCommand *keypressEvents=nullptr)
| These methods allow a command to exclusively grab all events. More...
void | InternalReleaseFocus ()
| These methods allow a command to exclusively grab all events. More...
Protected Member Functions inherited from vtkObjectBase
| vtkObjectBase ()
virtual | ~vtkObjectBase ()
| vtkObjectBase (const vtkObjectBase &)
void | operator= (const vtkObjectBase &)

## Additional Inherited Members
Static Protected Member Functions inherited from vtkObjectBase
static vtkMallocingFunction | GetCurrentMallocFunction ()
static vtkReallocingFunction | GetCurrentReallocFunction ()
static vtkFreeingFunction | GetCurrentFreeFunction ()
static vtkFreeingFunction | GetAlternateFreeFunction ()
Protected Attributes inherited from vtkCollection
int | NumberOfItems
vtkCollectionElement * | Top
vtkCollectionElement * | Bottom
vtkCollectionElement * | Current
Protected Attributes inherited from vtkObject
bool | Debug
vtkTimeStamp | MTime
vtkSubjectHelper * | SubjectHelper
std::string | ObjectName
Protected Attributes inherited from vtkObjectBase
std::atomic< int32_t > | ReferenceCount
vtkWeakPointerBase ** | WeakPointers

## Detailed Description

maintain an ordered list of IdList objects

vtkIdListCollection is an object that creates and manipulates lists of IdLists. See also vtkCollection and subclasses.

Tests:
  vtkIdListCollection (Tests)

Definition at line 23 of file vtkIdListCollection.h.

## Member Typedef Documentation

## ◆ Superclass

typedef vtkCollection vtkIdListCollection::Superclass

Definition at line 27 of file vtkIdListCollection.h.

## Constructor & Destructor Documentation

## ◆ vtkIdListCollection()

vtkIdListCollection::vtkIdListCollection | ( |  | ) |
| protecteddefault

## ◆ ~vtkIdListCollection()

vtkIdListCollection::~vtkIdListCollection | ( |  | ) |
| overrideprotecteddefault

## Member Function Documentation

## ◆ New()

static vtkIdListCollection* vtkIdListCollection::New | ( |  | ) |
| static

## ◆ IsTypeOf()

static vtkTypeBool vtkIdListCollection::IsTypeOf | ( | const char * | type | ) |
| static

## ◆ IsA()

virtual vtkTypeBool vtkIdListCollection::IsA | ( | const char * | name | ) |
| virtual

Return 1 if this class is the same type of (or a subclass of) the named class.

Returns 0 otherwise. This method works in combination with vtkTypeMacro found in vtkSetGet.h.

Reimplemented from vtkCollection.

## ◆ SafeDownCast()

static vtkIdListCollection* vtkIdListCollection::SafeDownCast | ( | vtkObjectBase * | o | ) |
| static

## ◆ NewInstanceInternal()

virtual vtkObjectBase* vtkIdListCollection::NewInstanceInternal | ( |  | ) | const
| protectedvirtual

Reimplemented from vtkCollection.

## ◆ NewInstance()

vtkIdListCollection* vtkIdListCollection::NewInstance | ( |  | ) | const

## ◆ PrintSelf()

void vtkIdListCollection::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) |  |
| overridevirtual

Methods invoked by print to print information about the object including superclasses.

Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes.

Reimplemented from vtkCollection.

## ◆ AddItem()

void vtkIdListCollection::AddItem | ( | vtkIdList * | ds | ) |
| inline

Add an IdList to the bottom of the list.

Definition at line 33 of file vtkIdListCollection.h.

## ◆ GetNextItem()

vtkIdList* vtkIdListCollection::GetNextItem | ( |  | ) |
| inline

Get the next IdList in the list.

Definition at line 38 of file vtkIdListCollection.h.

## ◆ GetItem()

vtkIdList* vtkIdListCollection::GetItem | ( | int | i | ) |
| inline

Get the ith IdList in the list.

Definition at line 43 of file vtkIdListCollection.h.

## ◆ GetNextIdList()

vtkIdList* vtkIdListCollection::GetNextIdList | ( | vtkCollectionSimpleIterator & | cookie | ) |
| inline

Reentrant safe way to get an object in a collection.

Just pass the same cookie back and forth.

Definition at line 49 of file vtkIdListCollection.h.

The documentation for this class was generated from the following file:

- Common/Core/vtkIdListCollection.h